
/* Override */
@media screen and (max-width:1024px) {
	.mdl-layout__header-row {
		height: 56px;
		padding: 0 16px 0 16px;
	}
}


.mdl-layout--fixed-drawer.is-upgraded:not(.is-small-screen) > .mdl-layout__header {
	margin-left: 00px;
	width: calc(100%);
}
.mdl-layout--fixed-drawer>.mdl-layout__content {
    margin-left: 0px;
}

/* From app page */
html, body {
	font-family: 'Roboto', 'Helvetica', sans-serif;
	font-size: 16px;
}

h1, h2, h3, h4, h5 {
	text-transform: uppercase;
}

h1 {
	font-size: 1.7rem;
}

h2 {
	font-size: 1.5rem;
}

h3 {
	font-size: 1.3rem;
}

h4 {
	font-size: 1.1rem;
}

h5 {
	font-size: 1.0rem;
}

.app-avatar {
	width: 48px;
	height: 48px;
	border-radius: 24px;
}

.app-layout .app-header .mdl-textfield {
	padding: 0px;
	margin-top: 41px;
}

	.app-layout .app-header .mdl-textfield .mdl-textfield__expandable-holder {
		bottom: 19px;
	}

.app-layout .mdl-layout__header .mdl-layout__drawer-button {
	color: rgba(0, 0, 0, 0.54);
}

.mdl-layout__drawer .avatar {
	margin-bottom: 16px;
}

.app-drawer {
	border: none;
}
	/* iOS Safari specific workaround */
	.app-drawer .mdl-menu__container {
		z-index: -1;
	}

	.app-drawer .app-navigation {
		z-index: -2;
	}
	/* END iOS Safari specific workaround */
	.app-drawer .mdl-menu .mdl-menu__item {
		display: -webkit-flex;
		display: -ms-flexbox;
		display: flex;
		-webkit-align-items: center;
		-ms-flex-align: center;
		align-items: center;
	}

.app-drawer-header {
	box-sizing: border-box;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;
	-webkit-justify-content: flex-end;
	-ms-flex-pack: end;
	justify-content: flex-end;
	padding: 16px;
	height: 151px;
}

.app-avatar-dropdown {
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	position: relative;
	-webkit-flex-direction: row;
	-ms-flex-direction: row;
	flex-direction: row;
	-webkit-align-items: center;
	-ms-flex-align: center;
	align-items: center;
	width: 100%;
}

.app-navigation {
	-webkit-flex-grow: 1;
	-ms-flex-positive: 1;
	flex-grow: 1;
}

.app-layout .app-navigation .mdl-navigation__link {
	display: -webkit-flex !important;
	display: -ms-flexbox !important;
	display: flex !important;
	-webkit-flex-direction: row;
	-ms-flex-direction: row;
	flex-direction: row;
	-webkit-align-items: center;
	-ms-flex-align: center;
	align-items: center;
	color: rgba(255, 255, 255, 0.56);
	font-weight: 500;
}

	.app-layout .app-navigation .mdl-navigation__link:hover {
	}

.app-navigation .mdl-navigation__link .material-icons {
	font-size: 24px;
	color: rgba(255, 255, 255, 0.56);
	margin-right: 32px;
}

.app-content {
	/*max-width: 1080px;*/
}

@media (min-width:840px) {
	.app-content {
		padding: 2rem;
	}
}

.app-charts {
	-webkit-align-items: center;
	-ms-flex-align: center;
	-ms-grid-row-align: center;
	align-items: center;
}

.app-chart:nth-child(1) {
	color: #ACEC00;
}

.app-chart:nth-child(2) {
	color: #00BBD6;
}

.app-chart:nth-child(3) {
	color: #BA65C9;
}

.app-chart:nth-child(4) {
	color: #EF3C79;
}

.app-graphs {
	padding: 16px 32px;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;
	-webkit-align-items: stretch;
	-ms-flex-align: stretch;
	align-items: stretch;
}
/* TODO: Find a proper solution to have the graphs
 * not float around outside their container in IE10/11.
 * Using a browserhacks.com solution for now.
 */
_:-ms-input-placeholder, :root .app-graphs {
	min-height: 664px;
}

_:-ms-input-placeholder, :root .app-graph {
	max-height: 300px;
}
/* TODO end */
.app-graph:nth-child(1) {
	color: #00b9d8;
}

.app-graph:nth-child(2) {
	color: #d9006e;
}

.app-cards {
	-webkit-align-items: flex-start;
	-ms-flex-align: start;
	-ms-grid-row-align: flex-start;
	align-items: flex-start;
	-webkit-align-content: flex-start;
	-ms-flex-line-pack: start;
	align-content: flex-start;
}

	.app-cards .app-separator {
		height: 32px;
	}

	.app-cards .mdl-card__title.mdl-card__title {
		color: white;
		font-size: 24px;
		font-weight: 400;
	}

	.app-cards ul {
		padding: 0;
	}

	.app-cards h3 {
		font-size: 1em;
	}

.app-updates .mdl-card__title {
	min-height: 200px;
	background-image: url('images/dog.png');
	background-position: 90% 100%;
	background-repeat: no-repeat;
}

.app-cards .mdl-card__actions a {
	color: #00BCD4;
	text-decoration: none;
}

.app-options h3 {
	margin: 0;
}

.app-options .mdl-checkbox__box-outline {
	border-color: rgba(255, 255, 255, 0.89);
}

.app-options ul {
	margin: 0;
	list-style-type: none;
}

.app-options li {
	margin: 4px 0;
}

.app-options .material-icons {
	color: rgba(255, 255, 255, 0.89);
}

.app-options .mdl-card__actions {
	height: 64px;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	box-sizing: border-box;
	-webkit-align-items: center;
	-ms-flex-align: center;
	align-items: center;
}


/* Pages */
.app-page {
	display: none;
	width: calc(100% - 16px);
}

	.app-page.is-active {
		display: block;
	}

/* App initialization animation */
.page-layer {
	position: absolute;
	top: 0px;
	bottom: 0px;
	right: 0px;
	left: 0px;
	margin: 0px;
	padding: 0px;
	background-color: white;
	z-index: 10;
	opacity: 0.95;
}

	.page-layer .info-text {
		width: 200px;
		text-shadow: 2px 2px 2px #333;
		font-size: 1.5rem;
		text-shadow: 0px -1px #cdcdcd;
		text-align: center;
		position: absolute;
		left: calc(50% - 100px);
		top: calc(50% - 50px);
	}

.browser-check .info-text {
	width: 600px;
	left: 30%;
	left: calc(50% - 300px);
	top: 30%;
	top: calc(50% - 50px);
}

.chrome .browser-check,
.firefox .browser-check, .ie9 .browser-check, .ie10 .browser-check, .ie11 .browser-check, .edge .browser-check {
	display: none;
}

.app-init-animation .mdl-spinner {
	width: 32px;
	height: 32px;
	left: calc(50% - 16px);
	top: calc(50% - 16px);
	position: absolute;
}

/* Dialogs */
.mdl-dialog {
	width: 280px;
}

/* Navigation */
.mdl-layout__drawer .mdl-navigation .mdl-navigation__link--current {
	background-color: #e0e0e0;
}

html label.switch-toggle-drawer {
	width: 140px;
	margin-left: 2.8rem;
	padding-left: 34px !important;
}

html .is-small-screen:not(.app-drawer-hidden) label.switch-toggle-drawer {
	display: none;
}

html .app-drawer-hidden .app-drawer:not(.is-visible) {
	transform: translateX(-250px);
	-webkit-transform: translateX(-250px);
	-moz-transform: translateX(-250px);
	-o-transform: translateX(-250px);
	-ms-transform: translateX(-250px);
}

html .app-drawer-hidden > .mdl-layout__header .mdl-layout__header-row {
	padding-left: 72px;
}

html .app-drawer-hidden > .mdl-layout__content {
	margin-left: 0px !important;
}
/* Cards */
.cards-group {
	/*display:flex;
	display:-webkit-flex;
	display:-ms-flexbox;*/
}

.mdl-card {
	margin-right: 1em;
	margin-bottom: 1em;
	float: left;
}

.mdl-list .mdl-list__item {
	padding: 8px 16px;
	min-height: 24px;
}

section > h2 {
	margin-top: 0px;
}

.app-content section {
	padding-top: 0px;
}

/* Dialogs */
/* -- crossbrowser support */
dialog {
	position: absolute;
	left: 0px;
	right: 0px;
	width: -webkit-fit-content;
	width: -moz-fit-content;
	width: fit-content;
	height: -webkit-fit-content;
	height: -moz-fit-content;
	height: fit-content;
	border-image-source: initial;
	border-image-slice: initial;
	border-image-width: initial;
	border-image-outset: initial;
	border-image-repeat: initial;
	color: black;
	margin: auto;
	border: solid;
	padding: 1em;
	background: white;
	display: none;
}

	dialog[open] {
		display: block;
	}

.mdl-dialog.alert-dialog {
	width: 500px;
	max-width: 80vw;
}


	.mdl-dialog.alert-dialog .button-cancel, .mdl-dialog.alert-dialog .mdl-textfield {
		display: none;
	}

	.mdl-dialog.alert-dialog .mdl-dialog__content {
		overflow: auto;
	}

	.mdl-dialog.alert-dialog.type-confirm .button-cancel, .mdl-dialog.alert-dialog .mdl-textfield {
		display: inline-block;
	}

	.mdl-dialog.alert-dialog h4 {
		font-size: 18px;
	}

	.mdl-dialog.alert-dialog.type-error h4 {
		color: red;
	}
	.footer.mdl-mini-footer { padding: 8px 16px 16px 16px; }
	.footer .material-icons { font-size: 12px; height: 16px; }
	.footer .mdl-logo img { vertical-align: middle; height: 24px; top:-4px; position: relative;}

	.mdl-layout-title { cursor: pointer; }

	.mdl-dialog.alert-dialog div.prompt-container { display: none !important;}
	.mdl-dialog.alert-dialog.type-prompt div.prompt-container { display: block !important;}

	.mdl-textfield { width: 100%; }
	

	.full-width { width: 100%; }
	.t { display:table; width:100%;}
	.t-cell { display: table-cell; width:50%; padding-left:1em; padding-right:1em;}
	.t-cell .full-width a.btn , .t-cell .full-width .dropdown-menu { width:100%;}
	.btn i{ font-style:normal; }